Subject: RE: printing from within Cygwin
From: "Tim Beuman" <[email-masked]>
To: "Cygwin@Cygwin. Com" <[email-masked]>
Cc: "Jim George" <[email-masked]>
Date: Fri, 30 Aug 2002 15:22:10 -0700

To be honest, I don't know. I tried a simple text file (no postscript)
myself without problems. Our network printer understands postscript and
plain text files and makes the distinction itself (I can sent both plain
text and postsript files and both types are printed properly). I don't know
whether your printer accepts plain text files or only accepts postscript
files. I'm not sure if I can be of any help in this aspect.

If the printer only accepts postscript, 'enscript' might be useful.

Tim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of Jim George
Sent: Friday, August 30, 2002 03:02 PM
To: [email-masked]
Subject: Re: printing from within Cygwin

Tim,

    when I try that with a networked Epson Photo printer to print a simple
text file, I get nothing but a form feed.

    Is this a postscript problem or what, do you think?

Jim
----- Original Message -----
From: "Tim Beuman" <[email-masked]>
To: "Cygwin@Cygwin. Com" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, August 30, 2002 9:21 PM
Subject: RE: printing from within Cygwin

> I am using "lpr -P \\\\<computer>\\<printer> <file>" to print on a network
> printer.
> I guess the same construct works on a local printer too (using the local
> computer's name)?
>
> Tim
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of [email-masked]
> Sent: Friday, August 30, 2002 12:42 PM
> To: Rick Rankin
> Cc: [email-masked]
> Subject: Re: printing from within Cygwin
>
>
> Rick, thanks for the reply.
>
> At the moment I'm using NT4.x. In the future it could be nearly anything,
> but I'm going to try to constrain it to nothing less than NT 4.x.
>
> I'm using whatever the lpr command is that I got when I installed cygwin,
I
> don't see any options anywhere to change that. In fact I don't even see
lpr
> listed in any of the cygwin info on the web page, so I'm not at all sure
> what it is.
>
> 'which lpr' shows /usr/bin/lpr
> and "ls -l /usr/bin/lpr" shows lpr.exe to be 7680 bytes.
>
> As to which printer, I'd like to (at a minimum) be able to print to the
> NT-defined default printer, but better would be to figure out how lpr maps
> into windows printers so I can tell it which printer to actually use.
>
> As you may be able to tell I'm not real familiar with either Cygwin, or
> NT., so the NT printing susbystem is largely a black hole to me.
>
>
>
>
>
> Rick Rankin <[email-masked]> on 08/30/2002 03:21:51 PM
>
> To:   Fred Smith/Computrition, [email-masked]
> cc:
> Subject:  Re: printing from within Cygwin
>
>
>
>
> Which lpr are you using, which OS (9x or NT/2K/XP), and are you trying to
> print
> to a locally attached or a network printer?
> --Rick
> --- [email-masked] wrote:
> > Trying to figure out how to print from a Cywin (console) app.
> >
> > Porting a Linux app to cygwin. On Linux it uses popen() to pipe output
to
> a
> > shellscript which in turn cats its input to lpr (it may do other things,
> > and may transform the data, but that's the ultimate goal).
> >
> > trying to figure out how to do something akin to that under cygwin.
> >
> > Invoking "lpr <filename>" at the command prompt comes back with an error
> > message:
> >
> >      can't open 'prn' for writing.
> >
> >
> > Advice would be appreciated. (I hope you're not going to tell me I need
> to
> > learn all about the innards of windoze printing!)
> >
> > Thanks!
> >
> > Fred
> >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Finance - Get real-time stock quotes
> http://finance.yahoo.com
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/